#include <iostream>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <cmath>

#ifndef CAR_H_
#define CAR_H_

#include "Link_List.h"
#include "Generate_Path.h"
#include "Mobility.h"
typedef struct c_node {
    int ID;
    int x;
    int y;
    int Direction;
    int Speed;
    int brake;
    int Car_Length;
    int flag;
    struct t_node *Path;
    struct c_node *nextCar;
    struct c_packet *NextPacket;
}C_NODE;


C_NODE *insert_node(C_NODE *np, C_NODE *insert_car);
C_NODE *delete_node(C_NODE *np, int ID);
C_NODE *last_node(C_NODE *np);
void dispList(C_NODE *np);
C_NODE *Find_Pre(C_NODE *np, int ID);

#endif
