#include <iostream>
#include <cstdlib>
#include <ctime>
#include <fstream>
#include "Car.h"

using namespace std;

C_NODE *insert_node(C_NODE *np, C_NODE *insert_car)
{
    C_NODE *newPtr, *currentPtr, *tempPtr;

    if(insert_car != NULL){
        newPtr = insert_car;
        newPtr->nextCar = NULL;

        if(np == NULL){
            np = newPtr;
        }
        else{
            currentPtr = np;
            switch(insert_car->Direction){
            case 0 :
                while(currentPtr->nextCar != NULL){
                    if(currentPtr->nextCar->y < newPtr->y)break;
                    currentPtr = currentPtr->nextCar;
                }
                tempPtr = currentPtr->nextCar;
                currentPtr->nextCar = newPtr;
                newPtr->nextCar = tempPtr;
                break;
            case 1 :
                while(currentPtr->nextCar != NULL){
                    if(currentPtr->nextCar->x > newPtr->x)break;
                    currentPtr = currentPtr->nextCar;
                }
                tempPtr = currentPtr->nextCar;
                currentPtr->nextCar = newPtr;
                newPtr->nextCar = tempPtr;
                break;
            case 2 :
                while(currentPtr->nextCar != NULL){
                    if(currentPtr->nextCar->x < newPtr->x)break;
                    currentPtr = currentPtr->nextCar;
                }
                tempPtr = currentPtr->nextCar;
                currentPtr->nextCar = newPtr;
                newPtr->nextCar = tempPtr;
                break;
            case 3 :
                while(currentPtr->nextCar != NULL){
                    if(currentPtr->nextCar->y > newPtr->y)break;
                    currentPtr = currentPtr->nextCar;
                }
                tempPtr = currentPtr->nextCar;
                currentPtr->nextCar = newPtr;
                newPtr->nextCar = tempPtr;
            default :
                break;
            }
        }
        return np;
    }
    else{
        return NULL;
    }
}

C_NODE *delete_node(C_NODE *np, int ID)
{
    C_NODE *previousPtr, *currentPtr, *tempPtr;
    if (np == NULL) {
        return np;
    }
    else if (ID == np->ID) {
        tempPtr = np;
        np = np->nextCar;
        free( tempPtr );
        return np;
    }
    else {
        previousPtr = np;
        currentPtr = np->nextCar;
        while (currentPtr != NULL && ( currentPtr->ID != ID) ) {
            previousPtr = currentPtr;
            currentPtr = currentPtr->nextCar;
        }
        if (currentPtr != NULL) {
            tempPtr = currentPtr;
            previousPtr->nextCar = currentPtr->nextCar;
            free( tempPtr );
            return np;
        }
        else{
            return np;
        }
    }
}
C_NODE *last_node(C_NODE *np)
{
    if ( np == NULL ) {
        return np;
    }
    else {
        while (np->nextCar != NULL) {
            np = np->nextCar;
        }
        return np;
    }
}
void dispList(C_NODE *np){
    if ( np == NULL ) {
        cout << "List is empty. " << endl << endl;
    }
    else {
        cout << "The list is:" <<endl;
        while (np != NULL) {
            cout << "CAR ID : " << np->ID << endl;
            cout << np->x << "," << np->y << " " << endl;
            np = np->nextCar;
        }
        cout << "NULL" << endl << endl;
    }
}

C_NODE *Find_Pre(C_NODE *np, int ID){
    C_NODE *tempPtr, *prePtr;
    tempPtr = np;
    while(tempPtr->ID != ID){
        prePtr = tempPtr;
        tempPtr = tempPtr->nextCar;
    }
    return prePtr;
}
