#include <iostream>
#include <cstdlib>
#include <cstring>
#include "Generate_Path.h"
#include <ctime>
#include <cmath>
using namespace std;
T_NODE *Create_Path(int Source_X, int Source_Y, int Destination_X, int Destination_Y){
    T_NODE *Path = NULL;
    Path = insert_node(Path, Source_X, Source_Y);
    int X_Dis = Source_X - Destination_X;
    int Y_Dis = Source_Y - Destination_Y;
    int X_ab = abs(X_Dis);
    int Y_ab = abs(Y_Dis);
    int i;
    int X_Count[Y_ab+1];
    memset(X_Count,0,sizeof(X_Count));
    for(i=0;i<X_ab;i++){
        X_Count[rand()%(Y_ab+1)]++;
    }
    int tmp_Source_X = Source_X;
    int tmp_Source_Y = Source_Y;
    for(i=0;i<Y_ab+1;i++){

        while(X_Count[i] != 0){
            if(X_Dis > 0){ // Left
                Path = insert_node(Path, tmp_Source_X - 1, tmp_Source_Y);
                tmp_Source_X -= 1;
            }
            else if(X_Dis < 0){ // Right
                Path = insert_node(Path, tmp_Source_X + 1, tmp_Source_Y);
                tmp_Source_X += 1;
            }
            X_Count[i] -= 1;
        } // while
        if(i < Y_ab){
            if(Y_Dis > 0){
                Path = insert_node(Path, tmp_Source_X, tmp_Source_Y - 1);
                tmp_Source_Y -= 1;
            }
            else if(Y_Dis < 0){
                Path = insert_node(Path, tmp_Source_X, tmp_Source_Y + 1);
                tmp_Source_Y += 1;
            }
        }
    } // for
    return Path;
}
//int height, int width
T_NODE *Random_Create_Path(int height, int width,int Road_Length){
    //srand( (unsigned int)time(NULL) );
    T_NODE *Path = NULL;
    //
    int Source_X = rand()%width;
    int Source_Y = rand()%height;
    int Destination_X = rand()%width;
    while(Source_X == Destination_X)Destination_X = rand()%width;
    int Destination_Y = rand()%height;
    while(Source_Y == Destination_Y)Destination_Y = rand()%height;
    //
    Path = insert_node(Path, Road_Length*(Source_X), Road_Length*(Source_Y));
    int X_Dis = Source_X - Destination_X;
    int Y_Dis = Source_Y - Destination_Y;
    int X_ab = abs(X_Dis);
    int Y_ab = abs(Y_Dis);
    int i;
    int X_Count[Y_ab+1];
    memset(X_Count,0,sizeof(X_Count));
    for(i=0;i<X_ab;i++){
        X_Count[rand()%(Y_ab+1)]++;
    }
    int tmp_Source_X = Source_X;
    int tmp_Source_Y = Source_Y;
    for(i=0;i<Y_ab+1;i++){

        while(X_Count[i] != 0){
            if(X_Dis > 0){ // Left
                Path = insert_node(Path, (tmp_Source_X - 1)*Road_Length, (tmp_Source_Y)*Road_Length);
                tmp_Source_X -= 1;
            }
            else if(X_Dis < 0){ // Right
                Path = insert_node(Path, (tmp_Source_X + 1)*Road_Length, (tmp_Source_Y)*Road_Length);
                tmp_Source_X += 1;
            }
            X_Count[i] -= 1;
        } // while
        if(i < Y_ab){
            if(Y_Dis > 0){
                Path = insert_node(Path, (tmp_Source_X)*Road_Length, (tmp_Source_Y - 1)*Road_Length);
                tmp_Source_Y -= 1;
            }
            else if(Y_Dis < 0){
                Path = insert_node(Path, (tmp_Source_X)*Road_Length, (tmp_Source_Y + 1)*Road_Length);
                tmp_Source_Y += 1;
            }
        }
    } // for
    return Path;
}
