#include <iostream>
#include <cstdlib>
#include "Link_List.h"
using namespace std;
void dispList(T_NODE *np)
{
    if ( np == NULL ) {
        cout << "List is empty. " << endl << endl;
    }
    else {
        cout << "The list is:" <<endl;
        while (np != NULL) {
            cout << np->x << "," << np->y << " " << endl;
            np = np->nextPtr;
        }
        cout << "NULL" << endl << endl;
    }
}
T_NODE *insert_node(T_NODE *np, int val_x, int val_y)
{
    T_NODE *newPtr, *currentPtr;
    newPtr = (T_NODE *)malloc(sizeof(T_NODE));

    if(newPtr != NULL){
        newPtr->x = val_x;
        newPtr->y = val_y;
        newPtr->nextPtr = NULL;

        if(np == NULL){
            np = newPtr;
        }
        else{
            currentPtr = np;
            while (currentPtr->nextPtr!=NULL)
                currentPtr = currentPtr->nextPtr;

            currentPtr->nextPtr = newPtr;
        }
        return np;
    }
    else{
        return NULL;
    }
}
int length_node(T_NODE *np){

    T_NODE *currentPtr;
    int count=1;
    currentPtr = np;

    if (np == NULL){
        count=0;
    }
    else{
        while (currentPtr->nextPtr!=NULL){
            count++;
            currentPtr = currentPtr->nextPtr;
        }
    }
    return count;
}
T_NODE *delete_node(T_NODE *np, int val_x, int val_y)
{
    T_NODE *previousPtr, *currentPtr, *tempPtr;
    if (np == NULL) {
        return np;
    }
    else if (val_x == np->x && val_y == np->y) {
        tempPtr = np;
        np = np->nextPtr;
        free( tempPtr );
        return np;
    }
    else {
        previousPtr = np;
        currentPtr = np->nextPtr;
        while (currentPtr != NULL && ( currentPtr->x != val_x || currentPtr->y != val_y ) ) {
            previousPtr = currentPtr;
            currentPtr = currentPtr->nextPtr;
        }
        if (currentPtr != NULL) {
            tempPtr = currentPtr;
            previousPtr->nextPtr = currentPtr->nextPtr;
            free( tempPtr );
            return np;
        }
        else{
            return np;
        }
    }
}
T_NODE *clear_node(T_NODE *np)
{
    T_NODE *tempPtr;
    if ( np == NULL ) {
        return np;
    }

    else {
        while (np != NULL) {
            tempPtr = np;
            np = np->nextPtr;
            free( tempPtr );
        }
        return NULL;
    }
}

T_NODE *last_node(T_NODE *np)
{
    if ( np == NULL ) {
        return np;
    }
    else {
        while (np->nextPtr != NULL) {
            np = np->nextPtr;
        }
        return np;
    }
}
