#include <iostream>
#include <cstdlib>
#include <fstream>
#include "Car.h"
#include "Infrastructure.h"
using namespace std;

//Each Second will Refresh map ones.
//Delete txt file, if it exists, before executing simulation

int main(void){
    int Ini_Car = 100;
    int Ini_Packet = 50;
    int i;
    int Vehicles=0;
    srand( (unsigned int)time(NULL) );
    int T = 1000;
    int TTL = 300;
    int height = 11;
    int width = 11;
    int Car_Length = 3;
    int Speed = 54;
    int Road_Length = 150;
    int Traffic_Light_Period = 5;
    int Success = 0;
    int bytes = 100;
    int Car_Period = 1000;
    int Packet_Period = 5;
    int car_period = Car_Period;
    int packet_period = Packet_Period;
    int traffic_light_period = Traffic_Light_Period;
    int Total = 0;
    C_INFRASTRUCTURE MAP[height][width];
    Ini_Map(&MAP[0][0], height, width, Road_Length);
    Random_Traffic_Light(&MAP[0][0], height, width);
    //Show_Light(&MAP[0][0], height, width, -1);
    for(i=0;i<Ini_Car;i++){
        Create_Car(&MAP[0][0], height, width, Road_Length, Speed, Car_Length);
    }
    for(i=0;i<Ini_Packet;i++){
        Create_Packet(&MAP[0][0], Road_Length, TTL, bytes, height, width, Speed);
        Total++;
    }


    for(i=0;i<T;i++){
        if((Vehicles=CAR_AMOUNT(&MAP[0][0], height, width))== 0)break;
        cout << "At time " << i << endl;

        if(traffic_light_period == 0){
            Traffic_Light_Change(&MAP[0][0], height, width);
            traffic_light_period = Traffic_Light_Period;
        }
        else traffic_light_period--;
        if(car_period == 0){
                Create_Car(&MAP[0][0], height, width, Road_Length, Speed, Car_Length);
                car_period = Car_Period;
        }
        else car_period--;
        if(packet_period == 0){
                Create_Packet(&MAP[0][0], Road_Length, TTL, bytes, height, width, Speed);
                Total++;
                packet_period = Packet_Period;
        }
        else packet_period--;

        Set_Vehicle_Flag(&MAP[0][0], height, width);
        Refresh_Map(&MAP[0][0], height, width, Road_Length);
        //Refresh_Car_Packet(&MAP[0][0], height, width, Road_Length);
        //Refresh_Infrastructure_Packet(&MAP[0][0], height, width, Road_Length);
        //Set_Infrastructure_Packet(&MAP[0][0], height, width, Road_Length);
        Success = Set_Car_Packet(&MAP[0][0], height, width, Road_Length, Success);
        DisPlay_All_Car_With_ID(&MAP[0][0], height, width, i, traffic_light_period);
        //Show_Light(&MAP[0][0], height, width, i);
        //DisPlay_All_Packet(&MAP[0][0], height, width);
        cout << "Car Total : " << Vehicles << endl;
        cout << "Total : " << Total << endl;
        cout << "Success : " << Success << endl;
        cout << "Delivery Ratio : " << (float)Success/Total << endl;
    }
} // Main
