#include <iostream>
#include <cstdlib>
#include <ctime>
#include <fstream>

#include "Packet.h"

using namespace std;

C_PACKET *Find_Pre(C_PACKET *np, int ID){
    C_PACKET *tempPtr, *prePtr;
    tempPtr = np;
    prePtr = tempPtr;
    while(tempPtr->ID != ID){
        prePtr = tempPtr;
        tempPtr = tempPtr->Next_PACKET;
    }
    return prePtr;
}
C_PACKET *insert_node(C_PACKET *np, C_PACKET *pp)
{
    C_PACKET *newPtr, *currentPtr;

    if(pp != NULL){
        newPtr = pp;
        newPtr->Next_PACKET = NULL;

        if(np == NULL){
            np = newPtr;
        }
        else{
            currentPtr = np;
            while (currentPtr->Next_PACKET != NULL)
                currentPtr = currentPtr->Next_PACKET;

            currentPtr->Next_PACKET = newPtr;
        }
        return np;
    }
    else{
        return NULL;
    }
}
C_PACKET *delete_node(C_PACKET *pp, int ID)
{
    C_PACKET *previousPtr, *currentPtr, *tempPtr;
    if (pp == NULL) {
        return pp;
    }
    else if (ID == pp->ID) {
        tempPtr = pp;
        pp = pp->Next_PACKET;
        free( tempPtr );
        return pp;
    }
    else {
        previousPtr = pp;
        currentPtr = pp->Next_PACKET;
        while (currentPtr != NULL && ( currentPtr->ID != ID) ) {
            previousPtr = currentPtr;
            currentPtr = currentPtr->Next_PACKET;
        }
        if (currentPtr != NULL) {
            tempPtr = currentPtr;
            previousPtr->Next_PACKET = currentPtr->Next_PACKET;
            free( tempPtr );
            return pp;
        }
        else{
            return pp;
        }
    }
}

C_PACKET *clear_node(C_PACKET *np)
{
    C_PACKET *tempPtr;
    if ( np == NULL ) {
        return np;
    }

    else {
        while (np != NULL) {
            tempPtr = np;
            np = np->Next_PACKET;
            free( tempPtr );
        }
        return NULL;
    }
}
